Bug 700800 - After updating, Fedora 15 Beta hangs up during boot. Can be recovered with hitting a key, then boots normally
Summary: After updating, Fedora 15 Beta hangs up during boot. Can be recovered with hi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-29 12:45 UTC by Jirka Daněk
Modified: 2011-06-26 08:58 UTC (History)
8 users (show)

Fixed In Version: kernel-2.6.38.8-32.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-25 19:13:43 UTC
Type: ---


Attachments (Terms of Use)
output of dmesg (80.43 KB, text/plain)
2011-04-29 12:45 UTC, Jirka Daněk
no flags Details
/var/log/boot.log (7.61 KB, text/plain)
2011-04-29 12:47 UTC, Jirka Daněk
no flags Details
/proc/cpuinfo on 2.6.38.6-27.fc15.x86_64 (3.39 KB, text/plain)
2011-05-21 05:07 UTC, Jirka Daněk
no flags Details

Description Jirka Daněk 2011-04-29 12:45:59 UTC
Created attachment 495769 [details]
output of dmesg

Description of problem:
I have Fedora 15 Beta installed. With clean install (Desktop live image), the boot went smoothly. There were (and still are) some errors like bug 699113 and bug 698674, but it all went quite well.

After updating, I started experiencing one or sometimes two hangups during boot. At some point, the boot process suddenly ceases. The computer sits completely still. Unitill i press a key. Then it resumes the boot and continues normally. Sometimes this repeats, i hit the button and all is well again, but usually it happens only once.

I was advised on IRC to delete quiet and rghb parameters form kernel line and try booting with that. In this run, computer hung up only once, just after spewing out line

[   14.191168] Bluetooth: SCO socket layer initialized. It can be found in attached output of dmesg (line 1209).

Hitting the up arrow on keyboard resumed the boot and it went on uneventfully.

I have also cell phone video of the boot, in case you have nothing else to watch: http://youtu.be/tZ1-yENubEk Hope it is the right file because I still do not have MPEG4 AVC codecs or Adobe Flash installed :D

Sometimes hitting key is not enough and the boot is resumed only after hitting the power off button on my box, but that is rare.

At IRC, one person pointed out it is clearly somehow related to cgroups.

My /cgroup directory is completely empty.

ls -alF /sys/fs/cgroup gives:

    total 0
    drwxr-xr-x. 12 root root 240 Apr 29 2011 ./
    drwxr-xr-x. 5 root root 0 Apr 29 2011 ../
    drwxr-xr-x. 2 root root 0 Apr 29 2011 blkio/
    drwxr-xr-x. 3 root root 0 Apr 29 2011 cpu/
    drwxr-xr-x. 2 root root 0 Apr 29 2011 cpuacct/
    drwxr-xr-x. 2 root root 0 Apr 29 2011 cpuset/
    drwxr-xr-x. 2 root root 0 Apr 29 2011 devices/
    drwxr-xr-x. 2 root root 0 Apr 29 2011 freezer/
    drwxr-xr-x. 2 root root 0 Apr 29 2011 memory/
    drwxr-xr-x. 2 root root 0 Apr 29 2011 net_cls/
    drwxr-xr-x. 2 root root 0 Apr 29 2011 ns/
    drwxr-xr-x. 4 root root 0 Apr 29 2011 systemd/

it was also suggested to me that bug 668849 can have to do something with this. My computer is desktop, but has only USB wi-fi dongle. Network cable is not connected.

Comment 1 Jirka Daněk 2011-04-29 12:47:18 UTC
Created attachment 495770 [details]
/var/log/boot.log

Comment 2 Jirka Daněk 2011-04-29 12:52:58 UTC
One more thing. These hangups also appeared when I tried to update my Fedora 15 Beta instalation USB. I did not report it, because I read afterwards, that updating live USB is not supported and is an easy way to hell. So it has to be unrelated to the kernel version, because kernel is not updated when runnig live USB

Comment 3 Jirka Daněk 2011-04-29 12:56:04 UTC
Yet another thing. The bug I wrote could be related is a mistake. I was pointed not to that bug, but to page that is the search result for bugs related to cgroup, sorry

Comment 4 Yanko Kaneti 2011-04-29 13:09:36 UTC
Sounds like
https://bugzilla.kernel.org/show_bug.cgi?id=15289

You can try disabling AMD C1E support in then BIOS as a workaround.

Comment 5 Jirka Daněk 2011-04-29 15:05:19 UTC
Yes, that is it. I tried your fix and some other mentioned in the kernel bugzilla

Disabling AMD C1E in BIOS will fix it for me.

My standard kernel line is "kernel /boot/vmlinuz-2.6.38.3-18.fc15.x86_64 ro root=UUID=4b152f7e-0493-40ae-b1e9-2dc41e73b6e7 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=cz-lat2" + " rhgb quiet"

booting with AMD C1E on and with various suggested parameters

kernel line + " debug"
will hang up several times, but not in kernel, like hpet and irqpool below

kernel line + " debug nomsi"
will hang up twice, but it will recover itself without pressing any keys. But this also hung up during shutdown and that need the helping key in the end

kernel + " debug maxcpus=1"
will work without error

kernel + " acpi_skip_timer_override"
will work without error

kernel + " hpet=disable" & kernel + " irqpool"
will hang up in kernel, after initializing USBs, in which moment key is not enough and power button has to be pushed. Then hangs up few more times which gets corrected by key

kernel + " idle=mwait"
works fine, no hang ups

kernel + " ioacpi"
hangs up

My HW profile is at smolt.org as f8c35d19-a61d-4f3c-83ba-ca00bed65130, I have CPU0: AMD Phenom(tm) II X4 905e Processor stepping 02
and Gigabyte 790XTA-UD4

at kernel bugzilla, there is link to bug 648837 which is filled against Fedora 14 Beta. So should that bug be updated to include Fedora 15 and this bug be marked as a duplicate?

Comment 6 Chuck Ebbert 2011-05-09 10:31:27 UTC
This is not due to having C1E enabled if it worked before. Did it start with the 2.6.38.4 kernel? There was a bug introduced in that one that has since been fixed in the pending 2.6.38.6 update. Look at the "flags" line in /proc/cpuinfo and see if it contains the string "arat". If it is present, boot an older kernel and see if that goes away.

Comment 7 Fedora Update System 2011-05-09 22:12:58 UTC
kernel-2.6.38.6-26.rc1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.38.6-26.rc1.fc15

Comment 8 Chuck Ebbert 2011-05-09 22:19:37 UTC
Please test the update and report whether it fixes this bug.

Comment 9 Fedora Update System 2011-05-14 04:07:20 UTC
kernel-2.6.38.6-26.rc1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Jirka Daněk 2011-05-20 12:18:29 UTC
I have updated to

[jirka@private ~]$ uname -a
Linux private 2.6.38.6-27.fc15.x86_64 #1 SMP Sun May 15 17:23:28 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

and the problem still persits.

Strangely, when I rebooted from 2.6.38.5 after installing the update, the first boot went well. But when I tried three more times, it got stuck at least once each time.

Comment 11 Chuck Ebbert 2011-05-20 16:11:23 UTC
(In reply to comment #10)
> I have updated to
> 
> [jirka@private ~]$ uname -a
> Linux private 2.6.38.6-27.fc15.x86_64 #1 SMP Sun May 15 17:23:28 UTC 2011
> x86_64 x86_64 x86_64 GNU/Linux
> 
> and the problem still persits.
> 
> Strangely, when I rebooted from 2.6.38.5 after installing the update, the first
> boot went well. But when I tried three more times, it got stuck at least once
> each time.

Please attach the contents of /proc/cpuinfo after booting the latest update. (You can keep it from stalling by moving the mouse pointer around and/or hitting the shift key repeatedly.)

Comment 12 Jirka Daněk 2011-05-21 05:07:59 UTC
Created attachment 500171 [details]
/proc/cpuinfo on 2.6.38.6-27.fc15.x86_64

Comment 13 Chuck Ebbert 2011-06-15 13:10:43 UTC
Should be fixed in :
https://admin.fedoraproject.org/updates/kernel-2.6.38.8-32.fc15

Comment 14 Wayne Hammond 2011-06-15 17:42:41 UTC
I just installed Fedora 15 on my wife's Sony Viao and now the boot process hangs at right after "Started SYSV: Emable monthly update of Smolt."  Switching to a terminal window and performing "yum -y update smolt"  does not fix the problem.  

During install, the GUI was trashed so after switching to a terminal I installed RPM Fusion repos and the Kmod nvidia drivers.  The next boot and each subsequent boot stops as above.  Is there hope to rescue this installation or must I re-install Fedora 14?

Comment 15 Chuck Ebbert 2011-06-25 19:13:43 UTC
(In reply to comment #14)
> I just installed Fedora 15 on my wife's Sony Viao and now the boot process
> hangs at right after "Started SYSV: Emable monthly update of Smolt."  Switching
> to a terminal window and performing "yum -y update smolt"  does not fix the
> problem.  
> 

 And does it continue if you keep hitting the "shift' key? Does that machine have an AMD processor in it?


Note You need to log in before you can comment on or make changes to this bug.